Gatana logoGatana Docs
RoutesMcp serversServerslug

/mcp-servers/{serverSlug}

Get a single MCP server together with its files

GET
/mcp-servers/{serverSlug}
AuthorizationBearer <token>

In: header

Path Parameters

serverSlug*string
Length1 <= length

Response Body

application/json

curl -X GET "https://YOUR_ORG_ID.gatana.ai/api/v1/mcp-servers/string"
{
  "server": {
    "id": "string",
    "slug": "string",
    "tenantId": "string",
    "description": "string",
    "authorization": {
      "method": "none",
      "credentialsScope": "server",
      "apikeys": [
        "string"
      ],
      "toolRefreshCredentialPolicy": "server-scoped"
    },
    "transportConfig": {
      "type": "httpstreaming",
      "url": "string",
      "headers": [
        [
          "string",
          "string"
        ]
      ]
    },
    "oauthClientConfiguration": {},
    "oauthMetadata": {},
    "visibility": "private",
    "isEnabled": true,
    "lastToolRefreshAt": "string",
    "timeoutProtocol": 9007199254740991,
    "timeoutTotal": 9007199254740991,
    "resetTimeoutOnProgressNotification": true,
    "isOutputCompressionEnabled": true,
    "isOutputCompressionTransformEnabled": true,
    "outputCompressionThresholdBytes": 1024,
    "firewallRules": [
      {
        "condition": "string",
        "action": "deny"
      }
    ],
    "createdAt": "string",
    "updatedAt": "string"
  },
  "files": [
    {
      "tenantId": "string",
      "serverId": "string",
      "id": "string",
      "filename": "string",
      "sourceType": "gcs",
      "sourceId": "string",
      "size": 0,
      "credentialId": "string",
      "createdAt": "string",
      "updatedAt": "string"
    }
  ]
}